import { ISelection, IChromosome } from '..';
export declare abstract class SelectionBase implements ISelection {
    abstract select(chromosomes: Array<IChromosome>): Promise<{
        parents: Array<IChromosome>;
        population: Array<IChromosome>;
    }>;
    protected takeRandom(chromosomes: Array<IChromosome>): IChromosome;
    protected takeByFitness(chromosomes: Array<IChromosome>): IChromosome | never;
    protected takeByOrder(chromosomes: Array<IChromosome>): IChromosome | never;
}
